unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, DB, DBTables, CustomCellSource, DataCellSource, StdCtrls,
  ScrollView, CustomGridViewControl, CustomGridView, GridView, ExtCtrls,
  GridPrint;

type
  TForm1 = class(TForm)
    GridView1: TGridView;
    DataCellSource1: TDataCellSource;
    Table1: TTable;
    GridPrint1: TGridPrint;
    PrintDialog1: TPrintDialog;
    Button1: TButton;
    Button3: TButton;
    CheckBox1: TCheckBox;
    Shape1: TShape;
    Label4: TLabel;
    Shape2: TShape;
    Label1: TLabel;
    CheckBox2: TCheckBox;
    procedure Button1Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure CheckBox2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
  DataCellSource1.Execute;
  Button3.Enabled := True;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
	if PrintDialog1.Execute then
  begin
    GridPrint1.Print;
  end;
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
	if TCheckBox(Sender).Checked
  	then GridPrint1.Options := GridPrint1.Options + [gpoHorzGridLines]
	  	else GridPrint1.Options := GridPrint1.Options - [gpoHorzGridLines];
end;

procedure TForm1.CheckBox2Click(Sender: TObject);
begin
	if CheckBox2.Checked then
  begin
  	GridView1.Options := GridView1.Options + [goAlphaBlendedSelection];
  	GridView1.Options := GridView1.Options - [goHighlightTextSelection];
  end else
  begin
  	GridView1.Options := GridView1.Options - [goAlphaBlendedSelection];
  	GridView1.Options := GridView1.Options + [goHighlightTextSelection];
  end;
end;

end.
