unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ScrollView, CustomGridViewControl, CustomGridView, GridView,
  StdCtrls, ExtCtrls, Buttons, ColumnClasses;

type
  TForm1 = class(TForm)
    GridView1: TGridView;
    Label1: TLabel;
    Shape1: TShape;
    SpeedButton1: TSpeedButton;
    SpeedButton2: TSpeedButton;
    procedure GridView1CellColoring(Sender: TObject; ACol, ARow: Integer;
      var CellColor, GridColor: TColor; CellState: TCellState);
    procedure GridView1DblClick(Sender: TObject);
    procedure GridView1MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure FormCreate(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

var
  SelectedRow, X1, Y1: Integer;

{$R *.dfm}

procedure TForm1.GridView1CellColoring(Sender: TObject; ACol,
  ARow: Integer; var CellColor, GridColor: TColor; CellState: TCellState);
begin
  if (not (csSelected in CellState))
    and (ARow = SelectedRow)
      and (ARow < GridView1.RowCount)
        then CellColor := rgb(37, 35, 32);
end;

procedure TForm1.GridView1DblClick(Sender: TObject);
begin
  SelectedRow := GridView1.GetCellAtPos(Point(X1, Y1)).Y;
  GridView1.Invalidate;
end;

procedure TForm1.GridView1MouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
  X1 := X;
  Y1 := Y;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  SelectedRow := 0;
end;

procedure TForm1.SpeedButton1Click(Sender: TObject);
begin
  GridView1.AddRow();
  Randomize;
  GridView1.Cells[1, GridView1.RowCount - 1] := 'Artist';
  GridView1.Cells[2, GridView1.RowCount - 1] := 'Album';
  GridView1.Cells[3, GridView1.RowCount - 1] := IntToStr(Round(Random(6)));
  with GridView1.Columns[4] as TListColumn do
  begin
  	GridView1.Cells[4, GridView1.RowCount - 1] := Items[Round(Random(Items.Count - 1))];
  end;
  GridView1.Cells[5, GridView1.RowCount - 1] := IntToStr(Round(Random(100)));
end;

procedure TForm1.SpeedButton2Click(Sender: TObject);
begin
  GridView1.DeleteRow(GridView1.SelectedRow);
end;

end.
